# generated by cabal-rpm-0.12.4
# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name bdcs-api
%global pkgver %{pkg_name}-%{version}

%bcond_with tests

Name:           ghc-%{pkg_name}
Version:        0.1.3
Release:        1%{?dist}.1
Summary:        BDCS API Server

License:        GPLv3+
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  chrpath
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-async-devel
BuildRequires:  ghc-bdcs-devel
BuildRequires:  ghc-bifunctors-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-concurrent-extra-devel
BuildRequires:  ghc-cond-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-extra-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-gi-ggit-devel
BuildRequires:  ghc-gi-gio-devel
BuildRequires:  ghc-gi-glib-devel
BuildRequires:  ghc-gitrev-devel
BuildRequires:  ghc-haskell-gi-base-devel
BuildRequires:  ghc-htoml-devel
BuildRequires:  ghc-http-media-devel
BuildRequires:  ghc-http-types-devel
BuildRequires:  ghc-monad-logger-devel
BuildRequires:  ghc-monad-loops-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-network-devel
BuildRequires:  ghc-persistent-devel
BuildRequires:  ghc-persistent-sqlite-devel
BuildRequires:  ghc-resourcet-devel
BuildRequires:  ghc-semver-devel
BuildRequires:  ghc-servant-options-devel
BuildRequires:  ghc-servant-server-devel
BuildRequires:  ghc-split-devel
BuildRequires:  ghc-stm-devel
BuildRequires:  ghc-string-conversions-devel
BuildRequires:  ghc-tar-devel
BuildRequires:  ghc-temporary-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unix-devel
BuildRequires:  ghc-uuid-devel
BuildRequires:  ghc-wai-cors-devel
BuildRequires:  ghc-wai-devel
BuildRequires:  ghc-warp-devel
BuildRequires:  pkgconfig(libgit2-glib-1.0)
%if %{with tests}
BuildRequires:  ghc-hspec-devel
BuildRequires:  ghc-http-client-devel
BuildRequires:  ghc-servant-client-devel
BuildRequires:  ghc-string-qq-devel
%endif
# End cabal-rpm deps

%description
This module provides an API server and library component that works with the
BDCS project. It provides a web interface for clients to create, edit, and
delete blueprints; to list the contents of the content store; to request
composes from existing blueprints; and to fetch the results of composes.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}-doc = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
%endif
Requires:       %{name}%{?_isa} = %{version}-%{release}
# Begin cabal-rpm deps:
Requires:       pkgconfig(libgit2-glib-1.0)
# End cabal-rpm deps

%description devel
This package provides the Haskell %{pkg_name} library development files.

%package devel-doc
Summary:        Haskell %{pkg_name} library development documentation
BuildArch:      noarch

%description devel-doc
This package provides the Haskell %{pkg_name} development documentation.


%prep
%setup -q -n %{pkgver}


%build
%ghc_lib_build


%install
%ghc_lib_install
%ghc_fix_rpath %{pkgver}
grep -v "%{_docdir}/ghc/html/libraries/%{pkgver}" %{name}-devel.files > %{name}-devel-nodoc.files
grep "%{_docdir}/ghc/html/libraries/%{pkgver}" %{name}-devel.files > %{name}-devel-doc.files


%check
%cabal_test


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%license LICENSE
%{_bindir}/bdcs-api-server


%files devel -f %{name}-devel-nodoc.files
%doc ChangeLog.md Dockerfile Dockerfile.build README.tests

%files devel-doc -f %{name}-devel-doc.files
%doc ChangeLog.md


%changelog
* Fri Jun 22 2018 Chris Lumens <clumens@redhat.com> - 0.1.3-1
- Update to bdcs-api-0.1.3.

* Mon Jun 11 2018 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.1.2-1
- spec file generated by cabal-rpm-0.12.4
